events { }

http {

  #acme request with certbot
  #server {
  #  listen 80;
  #  server_name  lerring.co.uk;
 
  #  root /var/www/lerring.co.uk;
 
  #  location ~ /.well-known {
  #      allow all;
  #  }
  #}

  # Redirect HTTP requests to HTTPS 
  #server {
  #  listen 80;
  #  server_name  example.com;
  #  return 301 https://$host$request_uri;
  #}

  #server {
  #  ssl on;
  #  ssl_certificate /etc/letsencrypt/live/example.com/fullchain.pem;
  #  ssl_certificate_key /etc/letsencrypt/live/example.com/privkey.pem;
  #  ssl_protocols TLSv1 TLSv1.1 TLSv1.2;
  #  ssl_prefer_server_ciphers on;
  #  ssl_dhparam /etc/ssl/certs/dhparam.pem;
  #  ssl_ciphers 'ECDHE-RSA-AES128-GCM-SHA256:ECDHE-ECDSA-AES128-GCM-SHA256:ECDHE-RSA-AES256-GCM-SHA384:ECDHE-ECDSA-AES256-GCM-SHA384:DHE-RSA-AES128-GCM-SHA256:DHE-DSS-AES128-GCM-SHA256:kEDH+AESGCM:ECDHE-RSA-AES128-SHA256:ECDHE-ECDSA-AES128-SHA256:ECDHE-RSA-AES128-SHA:ECDHE-ECDSA-AES128-SHA:ECDHE-RSA-AES256-SHA384:ECDHE-ECDSA-AES256-SHA384:ECDHE-RSA-AES256-SHA:ECDHE-ECDSA-AES256-SHA:DHE-RSA-AES128-SHA256:DHE-RSA-AES128-SHA:DHE-DSS-AES128-SHA256:DHE-RSA-AES256-SHA256:DHE-DSS-AES256-SHA:DHE-RSA-AES256-SHA:AES128-GCM-SHA256:AES256-GCM-SHA384:AES128-SHA256:AES256-SHA256:AES128-SHA:AES256-SHA:AES:CAMELLIA:DES-CBC3-SHA:!aNULL:!eNULL:!EXPORT:!DES:!RC4:!MD5:!PSK:!aECDH:!EDH-DSS-DES-CBC3-SHA:!EDH-RSA-DES-CBC3-SHA:!KRB5-DES-CBC3-SHA';
  #  ssl_session_timeout 1d;
  #  ssl_session_cache shared:SSL:50m;
  #  ssl_stapling on;
  #  ssl_stapling_verify on;
  #  add_header Strict-Transport-Security max-age=15768000;
          
  #  listen 443;
  #  server_name keys.lerring.co.uk

  #  location / {
  #      include proxy_params;
  #      proxy_pass http://127.0.0.1:5000;
  #  }

  #}

  server {

    listen 80;
    server_name $hostname;
    location /keys {
        include proxy_params;
        proxy_pass http://lerring-key_api:5000/;
    }

    location /repos {
        include proxy_params;
        proxy_pass http://lerring-repo_mgr:5001/;
    }

    location /apps {
        include proxy_params;
        proxy_pass http://lerring-app_mgr:5002/;
    }

  }

}
